config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/davfs2/davfs2.conf.new
config etc/davfs2/secrets.new

# Gruppe und User anlegen
getent group davfs2 || {
    Gruppe=230
    while getent group $Gruppe
	do
	    let Gruppe++
	done
    groupadd -g $Gruppe davfs2

    }
    
getent passwd davfs2 || {
    User=230
    while getent passwd $User
	do
	    let User++
	done
    mkdir -p var/cache/davfs2
    useradd -u $User -d /var/cache/davfs2 -g davfs2 -s /bin/false -c 'davfs2, WebDAV-Filesystem' davfs2
    chown davfs2:davfs2 var/cache/davfs2
    }

# ( cd sbin ; rm -rf mount.davfs )
# ( cd sbin ; ln -sf /tmp/SBo/package-davfs2/usr/sbin/mount.davfs mount.davfs )
# ( cd sbin ; rm -rf umount.davfs )
# ( cd sbin ; ln -sf /tmp/SBo/package-davfs2/usr/sbin/umount.davfs umount.davfs )
